Name:           gf-release

%if %{?rhel}%{?fedora}0
Version:        %{?rhel}%{?fedora}
%else
Version:	1
%endif

Release:        12%{?dist}
Summary:        Ghettoforge Repository Configuration

Group:          System Environment/Base
License:        GPLv2+ / apache
URL:            http://ghettoforge.org/
Source1:        gf.repo
Source4:	RPM-GPG-KEY-gf.el7
Source5:	RPM-GPG-KEY-gf.el8
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       redhat-release >= %{version}
BuildRequires:	perl-interpreter

%if %{?rhel}0
%global distro el
%global distpart el%{version}
%endif
%if %{?fedora}0
%global distro fedora
%global distpart fc%{version}
%endif

%description
This repository exists to augment the existing set of third-party repositories
for Enterprise Linux releases by providing those packages that either are not
available elsewhere or newer packages than exist in either your distribution's
base package sets or via other repositories. This means that some of our
packages will overwrite base packages as provided by your distribution however
we will endeavor to keep such packages in the [gf-plus] repository. Please see
http://ghettoforge.org/Best_Practices for information on how to maintain sanity
when using the gf-plus packages. 

This package contains the Ghettoforge GPG key as well as the Yum package manager
configuration file for the Ghettoforge repositories.

%prep
perl -pi -e 's/\{distro\}/%{distro}/g' %{SOURCE1}
perl -pi -e 's/\{dist\}/.%{distpart}/g' %{SOURCE1}
perl -pi -e 's/\{version\}/%{version}/g' %{SOURCE1}

%build
echo "Nothing to build"

%install
rm -rf $RPM_BUILD_ROOT

# Create dirs
install -d -m755 \
  $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg  \
  $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

# GPG Key
%{__install} -Dp -m644 \
    %{_sourcedir}/RPM-GPG-KEY-gf.%{distpart} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg

# Yum .repo files
%{__install} -p -m644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_sysconfdir}/pki/rpm-gpg/*
%config(noreplace) %{_sysconfdir}/yum.repos.d/*

%changelog
* Tue Aug 10 2021 Peter Ajamian <pj@ghettoforge.org> - %{version}-12
- Removed failovermethod setting
- Removed el6

* Mon Jan 13 2020 Peter Ajamian <pj@ghettoforge.org> - %{version}-11
- Added el8
- Removed el5
- Added perl builddep

* Wed Mar 23 2016 Peter Ajamian <pj@ghettoforge.org> - %{version}-10
- Fix mirrorlist urls.

* Wed Mar 23 2016 Peter Ajamian <pj@ghettoforge.org> - %{version}-9
- Use mirrorlist instead of baseurl.

* Sat Apr 25 2015 Peter Ajamian <pj@ghettoforge.org> - %{version}-8
- Fix usage URL in repo file.

* Sun Oct 19 2014 Peter Ajamian <pj@ghettoforge.org> - %{version}-7
- Release for gf-7.

* Mon Feb 24 2014 Peter Ajamian <pj@ghettoforge.org> - %{version}-6
- Yum's $releasever is not consistent across different vendors of EL, use
  %{version} instead.

* Thu Sep 19 2013 Peter Ajamian <peter@pajamian.dhs.org> - %{version}-5
- Fixed typo in testing url.

* Thu Sep 19 2013 Peter Ajamian <peter@pajamian.dhs.org> - %{version}-4
- Fixed repo name for testing and testing-source

* Wed Sep 18 2013 Peter Ajamian <peter@pajamian.dhs.org> - %{version}-3
- Removed scl repo
- Added testing repo

* Mon Sep 16 2013 Peter Ajamian <peter@pajamian.dhs.org> - %{version}-2
- Fixed typo in plus and scl source URLs.

* Mon Aug 12 2013 Peter Ajamian <peter@pajamian.dhs.org> - %{version}-1
- Initial RPM release
